Introduction: Animatronic Wolf Head

Hey everyone!

This is a tutorial on how to make your very own motion following undead wolf. The Original idea was to make a following head along with a jaw that move depending on how close someone is.

Just a note this is a rough draft for a project that I am continuously developing, so by the end I hope to refine the wolf's movement, and give him a more cohesive look.

To get started you will need :

Electronics:

-2 Ultrasonic HC-SR04 range sensors

-2 Hi-Tech HS-311 standard servo

-1 bread board

- Hook-up Wire

-1 Arduino Uno

-Proto board

-Soldering Iron

-Solder

-Needle-nose Pliers

-Wire Strippers

-Wire Cutters

Materials:

Head:

-Faux Fur

-Mannequin head

-Chip board

-Hardware: Nuts, bolts, washers

-*Resin Wolf skeleton*(see note below)

-Sewing Supplies: needles, thread, pins, exact-o knife or utility knife ( will cut out shape without trimming fur) , etc.I highly recommend a sewing machine.

-Exact-o Knife

Body/ Wooden Mannequin:

-Pool noodle

-Dremel or Drill with Drilling Bits

-wood 2-by-4s

-Hot glue/ Hot glue gun

-Wood shop tools (Table saw, Chop saw, Drill press, screw driver, etc. )

-Clamp

-Duct tape

*I'm planning on making a separate Tutorial on how to create a resin casted head but for this tutorial I just want to focus on the coding and wiring for the movement of the character.

Step 1: Head Construction

Head construction:

So first you'll need your Wolf skull mine is made from a white resin, there were a few rough patches so I fixed up the face a bit with some Apoxie sculpt that's what the black patches are, the skull is in two separate pieces the top skull part and the lower jaw.

You'll also need a base for the Skull to sit on, I chose to purchase a Styrofoam mannequin head and adjust it for my needs, but if you're skilled enough and have the time you can make your base from another material such as wood or make a wire frame. Just make sure that your skull is big enough to fit over the Mannequin head without it being too tight, this will hinder the movement of your jaw. As for mine I shaved the face part down for this very reason (that's why he looks so Walking Dead-ish).

Time to make our hinge:

You'll need:

-Chip board

-Utility knife/ exact-o knife

-Dremel, Dremel tools

Once you're comfortable with how your skull fits on your base it's time to make the hinge for your jaw.There is more than one way to make a hinge for jaw movement, the type that I have made is called a "V-hinge" where you have two parts attached together at the ends to create a pivot point.

-I first sketch out the shape I want on the chip board, you can choose to make two same sized rectangle shapes (2), two bent rectangle shapes(3), or a combination with one part straight rectangle and one part bent rectangle(1).

-Next it's time to cut out your shapes with your utility knife/exact-o knife, you might have to run the knife through 2 times to make sure it's cut all the way through. You may have to apply of bit of pressure while doing so, So PLEASE BE CAREFUL.

-Mark where your bolt is going to be on your hinges and use your dremel to drill or you can cut a small hole, just big enough for the bolt to push through comfortably, don't forget to make sure the holes line up.

-Chipboard is a very sturdy multi-use material but I would not recommend it for long term use so think of investing in making it out of something more sturdy or even purchasing some from another party

Resin Hinges available online

Attach your hinge to your skull.

For this part you'll need:

-your Nuts, bolts, and washers

-Hot Glue

-two part Hinge:

Hinge 1( attach to top skull) and Hinge 2(attach to lower jaw)

-Line up the holes on your two part hinge, then test where the hinge falls on your skull, you want your hinge to be attached on the inside of your skull, make a mark to indicate the placement.

-Next take your Bolt and push it through the hinge (hinge 1) that you plan on connecting to the top part of your skull, add a washer then push the bolt through the second piece of your hinge (hinge 2) that you are attaching to jaw of your skull. The washer acts a smooth barrier between both hinges. Lastly twist on the nut to hold everything together.

-Lastly attach the put together hinge to the top and bottom jaw part of your skull where you originally marked it. I found that hot glue is more than fine for attaching but if you want something more permanent consider screwing the hinge to your skull parts.

-Ta Da! you should have a skull with a loose moving jaw.

Attach your skull to your Mannequin head/ base.

For this part you'll need:

-1 servo

-.Mannequin head/ Base

-Skull head with attached hinge

-First you'll want to attach the bottom of your servo to your Mannequin/ base. Line up the angle of your servo with the angle of the lower jaw before embedding into the Styrofoam.

-To embed I traced the shape of the bottom of the servo onto the mannequin and cut/picked out the shape till it was deep enough for the servo to fit comfortably. Keep in mind you want the servo to stick out far enough from your base that it still makes contact with your hinge when the skull is on the base. Attach your servo to the bottom hinge.

-Secure your Skull face to your base, once again a little hot glue will do the trick just don't cake it on unless you want your Styrofoam to melt. Alter your base accordingly to make sure your jaw can move enough to be noticeable.

Last but not least, add your fur!

For this part you'll need:

-Faux Fur

-Ruler/ tape measure

-tailor chalk, pencil, light marker(which ever one shows up on your fur color of choice)

-Hot Glue

-Sewing Machine

-Utility knife/ exact-o knife

-

-With your fur laying fuzzy side down on the floor/ work space sketch out a hoodie shape ( "hoodie" as in the hood part of a jacket) using your tailor chalk/pencil. With your measuring tool measure from the top of your skull to the bottom of your base, this will be the length of your hoodie. Next measure from the top of the skull to the bottom of the lower jaw, this will be the length of the opening of your hoodie shape. Also measure from the edge of your skull to the back of your base/ mannequin, this will be the width of your hoodie shape.

-Repeat this same process except this time have the hoodie sketch facing the opposite direction of the other sketch. They should be mirror images of each other. Using your knife cut out both shapes from your fur.

-Next trace two triangles on the back of your fur these will be your ears, it's up to you what you want to use for "Cartilage" ( The support system for your ear: can be made with foam, cardboard, etc.) Cut out the same two triangle shapes from your cartilage material except this time make the triangles and inch or 1/2 an inch smaller than your fur triangles, this is so you can wrap the fur around the cartilage to give a more authentic look.

-

Note:DON'T USE SCISSORS to cut your fur, you'll just end up trimming the fur, it'll get everywhere and it wont look as natural.

-Next Fold the pieces so the fur sides are touching and pin them together along the outer edge, Then just sew! Don't forget to sew on your ears as well.

-Pull your hood over your skull and base and glue it down.


Step 2: Body Construction

I made the body from a series of different lengthed wooden 2-by-4s but this type of mannequin form can easily be made with other materials such as pvc pipe.

For this step you'll need:

-Wooden 2 by 4s

-Tape measure

-saw (preferably a mechanical saw)

-Hand drill/ Drill press

-screws/ nails and screw driver/ hammer

-Pencil

-Wooden Dowel (preferably circular) about 2 inches in diameter

-Circle drill bit

-The mannequin is made from 6 pieces of wood: the shoulder, the waist, legs and 2 feet. For my mannequin body I used my own personal measurements to get the dimensions of the form.

-With Measuring tape measure your shoulder from one side of the shoulder to the other, mark this length on your 2-by-4, adjust your measurements according to what your goals are. For the legs measure from the top of your shoulder to the floor, keep in mind the wooden feet will add at least 2 more inches to your mannequin. Adjust your measurements according to what your goals are. Your waist lies right above your belly button, measure either side of your body, this is how far apart your legs will be on your mannequin.

-Your wooden feet should be about 24 inches long, adjust the length if the mannequin seems unbalanced. Using your saw cut the desired lengths out of your wood.

-Taking the shoulder piece, measure and mark the center, next grab your wooden dowel and measure the diameter. I would recommend not to use anything less than 2 inches in diameter, but measure to confirm. Find the appropriate Circle drill bit size and fasten it to your hand drill or preferably a drill press. A drill press is more likely to stay at a perfect 90 degree angle then if you were to drill with a hand drill.

-Next it's time to attach the wooden pieces together. Start with the "waist" piece of wood and position it in-between your wooden legs no less than 12 inches down from the top, mark on both legs where the waist piece is positioned. Then hammer or screw it in place, I screwed my pieces together but hammering should work just as well as long as the nails are long enough to go through both pieces of wood. Repeat this process with the other leg.

-Next, with the shoulder piece center it on top of the legs and mark where they are positioned on the shoulder piece. Then hammer or screw it in place.

-Finally measure and mark the center of the wooden feet, hammer/ screw the feet to the wooden legs. Make sure your screws/ nails are flat to the wood or else they will cause balance issues.

-If your dowel is too loose in it's hole you can always add a lip to the top just make sure there is enough of the dowel above the lip to support your head/base. To give it extra support and cushioning, I trimmed and cut open a pool noodle to wrap around the dowel.

Step 3: Wiring

Time to grab yourself a bread board cause we have to wire everything together.

You'll need :

-2 Ultrasonic HC-SR04 range sensors
-2 Hi-Tech HS-311 standard servo

-1 bread board

- Hook-up Wire

-1 Arduino Uno

-Proto board

-Soldering Iron

-Solder

-Needle

-nose Pliers

-Wire Strippers

-Wire Cutters

Setup

Basically Range sensor 1

Red Wire: Vcc: Power

Yellow: Trig : pin 13

Green: Echo:pin 12

Black: Gnd: Ground

Range sensor 2:

Red: Vcc: Power
Yellow: Trig : pin 11

Green: Echo:pin 10

Black: Gnd: Ground

Servo 1:

Red wire: Power

Black wire: Ground

White wire: pin 8

Servo 2:
Red wire: Power

Black wire: Ground

Ground White wire: pin 8

Step 4: Coding

The basis of my code came from another instructable:

Motion Following Robot

I've mostly tweaked it to include another servo and have it do different movements, as the other servo carries out the head movement. I want to work with it further to work with a pan and tilt servo but That is further down the line.

CODE:

#include

Servo yservo; Servo xservo;//servos for x and y

const int Lin = 10, Rin = 12, Lout = 11, Rout = 13, yserv = 9, xserv = 8; //setting sensor pins and servo pin

// establish variables for duration // and the distance result in inches long Rduration, Lduration, Rinches, Linches;

int ythreshold = 24; //Sensor threshold in inches

int xthreshold = 12; int angle = 80; //Initial angle int xangle = 90;

int counter1 = 0; int counter2 = 0; boolean right = false;

int maxcounter1 = 45; int maxcounter2 = 3;

boolean debug = false; //Serial communication for debuging. Set to true for serial communication.

void setup() { // initialize serial communication: if (debug) { Serial.begin(9600); } yservo.attach(9); //attach servo to pin 9 xservo.attach(8);// attach servo to pin 8 }

void loop() { //Most of the sensor code has been taken from David Mellis's PING sensor code //I modified it for a 4 pin sensor as oppsed to the 3 pin sensor // Give a short LOW pulse beforehand to ensure a clean HIGH pulse: pinMode(Rout, OUTPUT); digitalWrite(Rout, LOW); delayMicroseconds(2); digitalWrite(Rout, HIGH); delayMicroseconds(5); digitalWrite(Rout, LOW);

Rduration = pulseIn(Rin, HIGH); pinMode(Lout, OUTPUT); digitalWrite(Lout, LOW); delayMicroseconds(2); digitalWrite(Lout, HIGH); delayMicroseconds(5); digitalWrite(Lout, LOW);

Lduration = pulseIn(Lin, HIGH);

// convert the time into a distance Rinches = microsecondsToInches(Rduration); Linches = microsecondsToInches(Lduration); if (debug) { Serial.print("Left: "); Serial.print(Linches); Serial.println(" in"); Serial.print("Right: "); Serial.print(Rinches); Serial.println(" in"); } follow(); }

long microsecondsToInches(long microseconds) { // According to Parallax's datasheet for the PING))), there are // 73.746 microseconds per inch (i.e. sound travels at 1130 feet per // second). This gives the distance travelled by the ping, outbound // and return, so we divide by 2 to get the distance of the obstacle. // See: http://www.parallax.com/dl/docs/prod/acc/28015-PI... return microseconds / 74 / 2; }

void follow() { if (Linches <= ythreshold || Rinches <= ythreshold) { if (Linches + 2 < Rinches) { angle = angle - 2; } if (Rinches + 2 < Linches) { angle = angle + 2; } } if (angle > 160) { angle = 160; } if (angle < 0) { angle = 0; } yservo.write(angle);

/* if (Linches <= xthreshold || Rinches <= xthreshold) { if (Linches + 2 < Rinches) { xangle = xangle - 2; } if (Rinches + 2 < Linches) { xangle = xangle + 2; } if ( xangle > } else { xangle = 90; */ if (Linches <= xthreshold || Rinches <= xthreshold) { if(counter1 == maxcounter1 || counter1 == 0) { counter2 ++; if(counter2 >= maxcounter2){ counter2 = 0; if(counter1 == maxcounter1) counter1--; else counter1++; right = !right; } } else if(right) { xangle = xangle+2; counter1--; } else { xangle = xangle-2; counter1++; } } else xangle = 90;

xservo.write(xangle); }

Step 5: Put It All Together

Once everything is Soldered together and everything is in it's proper pin, Its' time to plug in the Arduino with a combination of the AC power adapter and the Arduino USB cord, this provide more than enough power to all the components.

Note: You'll notice in the video I had some trouble with the jaw servo, i'm currently trying to fix that and i'll update the instructable.

Thank you!

I hope you enjoyed this tutorial.